Bug 230908 - [patch] x11-wm/compiz-plugins-extra: add missing dependencies, LICENSE and option NLS
Summary: [patch] x11-wm/compiz-plugins-extra: add missing dependencies, LICENSE and op...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koichiro Iwao
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2018-08-26 08:46 UTC by Samy Mahmoudi
Modified: 2019-02-14 16:04 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (freebsd-ports)


Attachments
Patch file generated with svn diff (2.25 KB, patch)
2018-08-26 08:46 UTC, Samy Mahmoudi
no flags Details | Diff
Patch file generated with svn diff (1.34 KB, patch)
2019-02-13 20:53 UTC, Samy Mahmoudi
no flags Details | Diff
Poudriere log (342.27 KB, text/plain)
2019-02-13 20:56 UTC, Samy Mahmoudi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samy Mahmoudi 2018-08-26 08:46:19 UTC
Created attachment 196558 [details]
Patch file generated with svn diff

Hi,

• Add missing dependencies
• Add LICENSE
• Add option NLS
• Regenerate patch file
• Bump PORTREVISION (Makefile changed to enable a compile-time option)
Comment 1 Koichiro Iwao freebsd_committer 2019-02-11 16:55:11 UTC
maintainer timeout?
Comment 2 Samy Mahmoudi 2019-02-11 22:29:15 UTC
(In reply to Koichiro Iwao from comment #1)

Commit under maintainer timeout already requested for this patch and various others.

As I was not using neither poudriere nor portlint at that time, I provided a patch incorrect in some way, which results in one of these requests being postponed.

To ease in review, I cancelled all the other requests so that I could check myself the patches with poudriere/portlint rather than losing committers' time...
Comment 3 Koichiro Iwao freebsd_committer 2019-02-12 01:31:47 UTC
testbuild by poudriere failed. USES=gettext seems to be needed.
Comment 4 Koichiro Iwao freebsd_committer 2019-02-12 02:33:50 UTC
(In reply to Koichiro Iwao from comment #3)

I commented on wrong bug. The above comment is for bug 230917. Sorry.
Comment 5 commit-hook freebsd_committer 2019-02-13 01:54:27 UTC
A commit references this bug:

Author: meta
Date: Wed Feb 13 01:53:41 UTC 2019
New revision: 492819
URL: https://svnweb.freebsd.org/changeset/ports/492819

Log:
  x11-wm/compiz-plugins-extra: add LICENSE etc

  - Add LICENSE
  - Add missing dependencies
  - Add option NLS
  - Cleanup USEs
  - Pet some portlint warnings
  - Reset maintainership due to long timeout

  PR:		230908
  Submitted by:	Samy Mahmoudi <samy.mahmoudi@gmail.com>
  Approved by:	freebsd-ports@dan.me.uk (maintainer timeout, ~5 months)

Changes:
  head/x11-wm/compiz-plugins-extra/Makefile
  head/x11-wm/compiz-plugins-extra/files/patch-src_notification_notification.c
Comment 6 Koichiro Iwao freebsd_committer 2019-02-13 02:05:41 UTC
Committed with minor changes, thanks!
I passed maintainership to you.
Comment 7 Samy Mahmoudi 2019-02-13 02:48:08 UTC
(In reply to Koichiro Iwao from comment #4)

Got it, no problem ;-))

I still need to work on option NLS, as I did today in Bug 230916. It will not be as easy though, so I may resort to reverting the NLS addition.
Comment 8 Samy Mahmoudi 2019-02-13 02:53:48 UTC
(In reply to Koichiro Iwao from comment #6)

Thank you!

I may do some minor changes soon.
Comment 9 Samy Mahmoudi 2019-02-13 20:53:55 UTC
Created attachment 201995 [details]
Patch file generated with svn diff

- Update USE_GL
- Revert the addition of NLS
- Reorder variables to pet portlint
Comment 10 Samy Mahmoudi 2019-02-13 20:56:57 UTC
Created attachment 201996 [details]
Poudriere log
Comment 11 Koichiro Iwao freebsd_committer 2019-02-14 00:29:27 UTC
Already closed, create a new bug.
Comment 12 Samy Mahmoudi 2019-02-14 16:04:43 UTC
(In reply to Koichiro Iwao from comment #11)

Indeed, I should have submitted a new PR.

Please have a look at Bug 235745.